Subject: bug#20433: Keyboard not working on laptop with guixSD

From: Jessica Tallon <[email-masked]>
Date: Wed, 13 Jan 2016 14:14:29 +0100

Ludovic Courtès writes:
> Hi!
>
> Jessica Tallon <[email-masked]> skribis:
>
>> I just checked in Trisquel as I was curious what driver was being used
>> there and `lsusb -t` shows the driver to be usbhid module. I confirmed
>> this by unloading the module and verifying the keyboard stopped
>> working.
>>
>> I did then boot the guix 0.9 installation image again and lsmod does
>> show that the module is infact loaded in guix but yet the keyboard does
>> not work. I'm not sure what could be causing it.
>
> Weird.  Could you compare the two lsmod outputs entirely, to see if
> there’s something else we’re missing?
>
> Thanks in advance,
> Ludo’.

Sure, I have attached both the lsmod on trisquel where it does work and
the lsmod in the guix 0.9 image where it doesn't. I did try and look
what additional modules trisquel have to see if any stood out but none
of them did.

Let me know if there is any other debug info that would help.